Update account settings
Sets default settings for accounts. Unspecified settings will remain unchanged.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"X-Request-Id?stringA unique identifier for the request
Account Settings
application/json- body
Account settings for the user
intakeStyle?stringIntake style option. The possible values are representative of values provided in Afternic Website.
"BUYNOW""BUYNOW""PRICE_FORM""CUSTOM_LANDER"landingPage?stringLanding page option. The possible values are representative of values provided in Afternic Website.
"PARKING_TYPE""PARKING_TYPE""SALES_TYPE"leasingEnabled?booleanfalsemaxLeasePeriod?integerThe maximum number of payments desired. The monthly payment is calculated from this value and the buynowPrice.
2 <= value <= 602showLanderBuynowOption?booleanThis value specifies if the domain has BUYNOW as an enabled sales method on the custom lander.
trueshowLanderLeaseToOwnOption?booleanThis value specifies if the domain has lease-to-own as an enabled sales method on the custom lander.
trueshowLanderMakeOfferOption?booleanThis value specifies if the domain has make offer as an enabled sales method on the custom lander.
falseselfBrokerEnabled?booleanThis value specifies if the account has self broker enabled.
falseNothing is returned when the account settings are updated successfully
curl -X PATCH 'https://api.afternic.com/v3/aftermarket/customers/my/accountSettings' \ -H 'Content-Type: application/json' \ -d '{}'